## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 16;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           efitools
Version:        1.9.2
Release:        %autorelease
Summary:        Tools to manipulate EFI secure boot keys and signatures
License:        GPLv2 and LGPLv2 and BSD

# call-to-mktemp:
# https://github.com/vathpela/efitools/issues/2
URL:            https://git.kernel.org/pub/scm/linux/kernel/git/jejb/efitools.git
Source0:        %{url}/snapshot/%{name}-%{version}.tar.gz
Patch1:         makefile-enable-harden-local-files.patch
Patch2:         fix-deps.patch
Patch3:         allow-riscv64-build.patch
Patch4:         sbat-compat.patch
Patch5:         fix-ftbfs-lp2083030.patch
Patch6:         drop-engine-options.patch

# same as gnu-efi
ExclusiveArch:  %{efi}

BuildRequires:  pkgconfig(openssl)

BuildRequires:  gcc
BuildRequires:  gnu-efi-devel
BuildRequires:  help2man
BuildRequires:  openssl
BuildRequires:  perl-File-Slurp
BuildRequires:  sbsigntools

Requires:       coreutils
Requires:       mtools
Requires:       parted
Requires:       util-linux
Recommends:     sbsigntools

%description
This package installs a variety of tools for manipulating keys and binary
signatures on UEFI secure boot platforms.
The tools provide access to the keys and certificates stored in the
secure variables of the UEFI firmware, usually in the NVRAM area.

%prep
%autosetup -p1

%build
%set_build_flags
%make_build

%install
%make_install DOCDIR=%{buildroot}%{_docdir}/%{name}/ CFLAGS="%{optflags}"

rm -v %{buildroot}%{_docdir}/%{name}/COPYING

%files
%doc README
%license COPYING
%{_bindir}/cert-to-efi-hash-list
%{_bindir}/cert-to-efi-sig-list
%{_bindir}/efi-readvar
%{_bindir}/efi-updatevar
%{_bindir}/efitool-mkusb
%{_bindir}/flash-var
%{_bindir}/hash-to-efi-sig-list
%{_bindir}/sig-list-to-certs
%{_bindir}/sign-efi-sig-list
%{_mandir}/man1/*.1*

%changelog
## START: Generated by rpmautospec
* Wed Jun 11 2025 Luca Boccassi <luca.boccassi@gmail.com> - 1.9.2-16
- Fix build and reintroduce package
- The build is fixed by importing patches from Ubuntu/SUSE
- Patch to disable OpenSSL Engine support (deprecated in Fedora) is added

* Tue Feb 25 2025 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.9.2-15
- Drop %%{_isa} from Requires

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 14 2022 Florian Weimer <fweimer@redhat.com> - 1.9.2-9
- C99 port

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Sep 14 2021 Sahana Prasad <sahana@redhat.com> - 1.9.2-6
- Rebuilt with OpenSSL 3.0.0

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Mar 07 2021 Vladislav Kazakov <vpackager@gmail.com> - 1.9.2-4
- Fix incorrect build.

* Sat Feb 06 2021 Vladislav Kazakov <vpackager@gmail.com> - 1.9.2-3
- Add system flags to CFLAGS.
- Remove i686 support.

* Sun Jan 31 2021 Vladislav Kazakov <vpackager@gmail.com> - 1.9.2-2
- Add BSD license.
- Rename LGPLv2.1 to LGPLv2.
- Add reference to issue about mktemp usage.

* Sun Jan 17 2021 Vladislav Kazakov <vpackager@gmail.com> - 1.9.2-1
- Initial SPEC release.

## END: Generated by rpmautospec
